<?php
echo "--------\n";
// echo sur plusieurs lignes
echo "Voici un echo
écrit sur plusieurs
lignes\n";
// Syntaxe particulière HEREDOC
echo "--------\n";
$str = <<<FIN_DE_DONNEES
Exemple de chaîne
sur plusieurs lignes
en utilisant la syntaxe Heredoc.
FIN_DE_DONNEES;
echo $str . "\n";
echo "--------\n";
// Syntaxe particulière HEREDOC
// avec affichage de variables
$nom='Dupont';
$age=28;
echo <<<FIN_AFFICHAGE
Je m'appelle "$nom".
Et j'ai $age ans.\n
FIN_AFFICHAGE;
echo "--------\n";
?>
